<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__wiced__bredr__api" kind="group">
    <compoundname>wiced_bredr_api</compoundname>
    <title>Bluetooth BR/EDR API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga2c8467b8c65ef23d30ea28649b13094f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_start_inquiry</definition>
        <argsstring>(wiced_bt_dev_inq_parms_t *p_inqparms, wiced_bt_inquiry_result_cback_t *p_inquiry_result_cback)</argsstring>
        <name>wiced_bt_start_inquiry</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__dev__inq__parms__t">wiced_bt_dev_inq_parms_t</ref> *</type>
          <declname>p_inqparms</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gaeff6132613442e15eb9715da90e57664">wiced_bt_inquiry_result_cback_t</ref> *</type>
          <declname>p_inquiry_result_cback</declname>
        </param>
        <briefdescription>
<para>Begin BR/EDR inquiry for peer devices. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_inqparms</parametername>
</parameternamelist>
<parameterdescription>
<para>: inquiry parameters </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_inquiry_result_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: inquiry results callback</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t</para>
</simplesect>
<bold> WICED_BT_PENDING </bold> : if successfully initiated <linebreak />
<bold> WICED_BT_BUSY </bold> : if already in progress <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold> : if parameter(s) are out of range <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if could not allocate resources to start the command <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : if the device is not up </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga43c56d1d7a8b08e7766817fc798b7067" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_cancel_inquiry</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_cancel_inquiry</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Cancel inquiry. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : if successful <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if could not allocate a message buffer <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : if the device is not up. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1232" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gab6a09117d2fa6f4b31d8bfb9aa4d382c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_read_local_addr</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_read_local_addr</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Read the local device address. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Local bd address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1242" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaab8ab36f338fdadd7405f28fe6d03d7c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_advanced_connection_params</definition>
        <argsstring>(wiced_bt_dev_inquiry_scan_result_t *p_inquiry_scan_result)</argsstring>
        <name>wiced_bt_dev_set_advanced_connection_params</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__dev__inquiry__scan__result__t">wiced_bt_dev_inquiry_scan_result_t</ref> *</type>
          <declname>p_inquiry_scan_result</declname>
        </param>
        <briefdescription>
<para>Set advanced connection parameters for subsequent BR/EDR connections (remote clock offset, page scan mode, and other information obtained during inquiry) </para>
        </briefdescription>
        <detaileddescription>
<para>If not called, then default connection parameters will be used.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_inquiry_scan_result</parametername>
</parameternamelist>
<parameterdescription>
<para>: Inquiry scan result (from <ref kindref="compound" refid="structwiced__bt__dev__inquiry__scan__result__t">wiced_bt_dev_inquiry_scan_result_t</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t</para>
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : on success; <linebreak />
<bold> WICED_BT_FAILED </bold> : if an error occurred </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1259" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaff614aad7be8ad5bde22d36351fac720" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_vendor_specific_command</definition>
        <argsstring>(uint16_t opcode, uint8_t param_len, uint8_t *p_param_buf, wiced_bt_dev_vendor_specific_command_complete_cback_t *p_cback)</argsstring>
        <name>wiced_bt_dev_vendor_specific_command</name>
        <param>
          <type>uint16_t</type>
          <declname>opcode</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>param_len</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_param_buf</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga5efde2f4a4954a99dc729af308ce90bf">wiced_bt_dev_vendor_specific_command_complete_cback_t</ref> *</type>
          <declname>p_cback</declname>
        </param>
        <briefdescription>
<para>Send a vendor specific HCI command to the controller. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">opcode</parametername>
</parameternamelist>
<parameterdescription>
<para>: Opcode of vendor specific command </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">param_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of parameter buffer </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_param_buf</parametername>
</parameternamelist>
<parameterdescription>
<para>: Parameters </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Callback for command complete</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : Command sent. Does not expect command complete event. (command complete callback param is NULL) <linebreak />
<bold> WICED_BT_PENDING </bold> : Command sent. Waiting for command complete event. <linebreak />
<bold> WICED_BT_BUSY </bold> : Command not sent. Waiting for command complete event for prior command. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1277" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga20d55a9ce0486637305e5cb09eb86765" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_discoverability</definition>
        <argsstring>(uint8_t inq_mode, uint16_t duration, uint16_t interval)</argsstring>
        <name>wiced_bt_dev_set_discoverability</name>
        <param>
          <type>uint8_t</type>
          <declname>inq_mode</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>duration</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>interval</declname>
        </param>
        <briefdescription>
<para>Set discoverability. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The duration must be less than or equal to the interval.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">inq_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>: Discoverability mode (see <ref kindref="member" refid="group__wicedbt___device_management_1ga9bf81199d05c0ddee702303e4c1c9bc8">wiced_bt_discoverability_mode_e</ref> ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">duration</parametername>
</parameternamelist>
<parameterdescription>
<para>: Duration (in 0.625 msec intervals). <bold>BTM_DEFAULT_DISC_WINDOW</bold>, or range: <bold>0x0012 ~ 0x1000 </bold> (11.25 ~ 2560 msecs) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">interval</parametername>
</parameternamelist>
<parameterdescription>
<para>: Interval (in 0.625 msec intervals). <bold>BTM_DEFAULT_DISC_INTERVAL</bold>, or range: <bold>0x0012 ~ 0x1000 </bold> (11.25 ~ 2560 msecs)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : If successful <linebreak />
<bold> WICED_BT_BUSY </bold> : If a setting of the filter is already in progress <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : If couldn't get a memory pool buffer <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold> : If a bad parameter was detected <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : If the device is not up </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1297" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaf555928b7af1c2ed27adf10289f3999c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_connectability</definition>
        <argsstring>(uint8_t page_mode, uint16_t window, uint16_t interval)</argsstring>
        <name>wiced_bt_dev_set_connectability</name>
        <param>
          <type>uint8_t</type>
          <declname>page_mode</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>window</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>interval</declname>
        </param>
        <briefdescription>
<para>Set connectablilty. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The duration (window parameter) must be less than or equal to the interval.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">page_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>: Connectability mode (see <ref kindref="member" refid="group__wicedbt___device_management_1gab2179004dac20c28116a07931fdf62a6">wiced_bt_connectability_mode_e</ref> ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">window</parametername>
</parameternamelist>
<parameterdescription>
<para>: Duration (in 0.625 msec intervals). <bold>BTM_DEFAULT_CONN_WINDOW</bold>, or range: <bold>0x0012 ~ 0x1000 </bold> (11.25 ~ 2560 msecs) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">interval</parametername>
</parameternamelist>
<parameterdescription>
<para>: Interval (in 0.625 msec intervals). <bold>BTM_DEFAULT_CONN_INTERVAL</bold>, or range: <bold>0x0012 ~ 0x1000 </bold> (11.25 ~ 2560 msecs)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : If successful <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold> : If a bad parameter is detected <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : If could not allocate a message buffer <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : If the device is not up </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1317" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga06312613214e2e1b01da2e837f4f6d05" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_register_connection_status_change</definition>
        <argsstring>(wiced_bt_connection_status_change_cback_t *p_wiced_bt_connection_status_change_cback)</argsstring>
        <name>wiced_bt_dev_register_connection_status_change</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga383178649984b94e8cf1742434d6aea4">wiced_bt_connection_status_change_cback_t</ref> *</type>
          <declname>p_wiced_bt_connection_status_change_cback</declname>
        </param>
        <briefdescription>
<para>Register callback for connection status change. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_wiced_bt_connection_status_change_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>- Callback for connection status change</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t</para>
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : on success; <linebreak />
<bold> WICED_BT_FAILED </bold> : if an error occurred </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1331" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaf533e2a68506fc637f9fee8da186f2e2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_sniff_mode</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, uint16_t min_period, uint16_t max_period, uint16_t attempt, uint16_t timeout)</argsstring>
        <name>wiced_bt_dev_set_sniff_mode</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>min_period</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_period</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>attempt</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>timeout</declname>
        </param>
        <briefdescription>
<para>Set a connection into sniff mode. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: Link for which to put into sniff mode </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">min_period</parametername>
</parameternamelist>
<parameterdescription>
<para>: Minimum sniff period (range 0x0006 to 0x0540) (in 0.625 msec) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_period</parametername>
</parameternamelist>
<parameterdescription>
<para>: Maximum sniff period (range 0x0006 to 0x0540) (in 0.625 msec) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">attempt</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of attempts for switching to sniff mode (range 0x0001 – 0x7FFF) (in 0.625 msec) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: Timeout for attempting to switch to sniff mode (range 0x0000 – 0x7FFF) (in 0.625 msec)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_PENDING </bold> if successfully initiated, otherwise error </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1345" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga092191cdfade11d9ba5d97a9810a540d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_cancel_sniff_mode</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda)</argsstring>
        <name>wiced_bt_dev_cancel_sniff_mode</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <briefdescription>
<para>Take a connection out of sniff mode. </para>
        </briefdescription>
        <detaileddescription>
<para>A check is made if the connection is already in sniff mode, and if not, the cancel sniff mode is ignored.</para>
<para><simplesect kind="return"><para><bold> WICED_BT_PENDING </bold> if successfully initiated, otherwise error </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1358" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gae25ed058e78ce94a0884a6d62d1d1b8e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_sniff_subrating</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, uint16_t max_latency, uint16_t min_remote_timeout, uint16_t min_local_timeout)</argsstring>
        <name>wiced_bt_dev_set_sniff_subrating</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_latency</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>min_remote_timeout</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>min_local_timeout</declname>
        </param>
        <briefdescription>
<para>Set sniff subrating parameters for an active connection. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: device address of desired ACL connection </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_latency</parametername>
</parameternamelist>
<parameterdescription>
<para>: maximum latency (in 0.625ms units) (range: 0x0002-0xFFFE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">min_remote_timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: minimum remote timeout (in 0.625ms units) (range: 0x0000 – 0xFFFE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">min_local_timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: minimum local timeout (in 0.625ms units) (range: 0x0000 – 0xFFFE)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : on success; <linebreak />
<bold> WICED_BT_ILLEGAL_ACTION </bold> : if an error occurred </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1375" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gafea954a02935ce3dfa5409ff40e25ae3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_read_rssi</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, wiced_bt_transport_t transport, wiced_bt_dev_cmpl_cback_t *p_cback)</argsstring>
        <name>wiced_bt_dev_read_rssi</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga2ebace7053dc297ea21b0e97cd0b1ce3">wiced_bt_dev_cmpl_cback_t</ref> *</type>
          <declname>p_cback</declname>
        </param>
        <briefdescription>
<para>Get Receive Signal Strenth Index (RSSI) for the requested link. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD address of connection to read rssi </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: Transport type </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Result callback (<ref kindref="compound" refid="structwiced__bt__dev__rssi__result__t">wiced_bt_dev_rssi_result_t</ref> will be passed to the callback)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_PENDING </bold> : if command issued to controller. <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if couldn't allocate memory to issue command <linebreak />
<bold> WICED_BT_UNKNOWN_ADDR </bold> : if no active link with bd addr specified <linebreak />
<bold> WICED_BT_BUSY </bold> : if command is already in progress </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1394" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga08b1a111be46bb1341db8329a98ba2c2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_write_eir</definition>
        <argsstring>(uint8_t *p_buff, uint16_t len)</argsstring>
        <name>wiced_bt_dev_write_eir</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_buff</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>len</declname>
        </param>
        <briefdescription>
<para>Write EIR data to controller. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_buff</parametername>
</parameternamelist>
<parameterdescription>
<para>: EIR data as per the spec (Spec 5.0 Vol 3 Part C, Section 8 ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Total Length of EIR data being passed</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_SUCCESS </bold> : if successful <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if couldn't allocate memory to issue command <linebreak />
<bold> WICED_BT_UNSUPPORTED </bold> : if local device cannot support request <linebreak />
</para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1409" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gae6856d6e894c112400e78ff00dbadd1a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_switch_role</definition>
        <argsstring>(wiced_bt_device_address_t remote_bd_addr, uint8_t new_role, wiced_bt_dev_cmpl_cback_t *p_cback)</argsstring>
        <name>wiced_bt_dev_switch_role</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bd_addr</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>new_role</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga2ebace7053dc297ea21b0e97cd0b1ce3">wiced_bt_dev_cmpl_cback_t</ref> *</type>
          <declname>p_cback</declname>
        </param>
        <briefdescription>
<para>This function is called to switch the role between master and slave. </para>
        </briefdescription>
        <detaileddescription>
<para>If role is already set it will do nothing. If the command was initiated, the callback function is called upon completion.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD address of remote device </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">new_role</parametername>
</parameternamelist>
<parameterdescription>
<para>: New role (BTM_ROLE_MASTER or BTM_ROLE_SLAVE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Result callback (<ref kindref="compound" refid="structwiced__bt__dev__switch__role__result__t">wiced_bt_dev_switch_role_result_t</ref> will be passed to the callback)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1425" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga77cedd68365c2d02c743dc2aaee13ba8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_bt_dev_set_afh_channel_classification</definition>
        <argsstring>(const wiced_bt_br_chnl_map_t afh_channel_map)</argsstring>
        <name>wiced_bt_dev_set_afh_channel_classification</name>
        <param>
          <type>const <ref kindref="member" refid="group__wicedbt___device_management_1ga749420c98d9a38dfd69c313520fbdae9">wiced_bt_br_chnl_map_t</ref></type>
          <declname>afh_channel_map</declname>
        </param>
        <briefdescription>
<para>This function is called to send HCI_SET_AFH_CHANNELS command to BR/EDR controller. </para>
        </briefdescription>
        <detaileddescription>
<para>Channel n is bad = 0. Channel n is unknown = 1. The most significant bit is reserved and shall be set to 0. At least 20 channels shall be marked as unknown.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>afh_channel_map</parametername>
</parameternamelist>
<parameterdescription>
<para>: AFH Host Channel Classification array</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> WICED_BT_UNSUPPORTED </bold> : if feature does not supported <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : if device is in wrong mode <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if device does not have buffers to process the request </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1445" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga65bc31725b27be92d23b71707c4d309c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_get_remote_name</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_remote_name_cback_t *p_remote_name_result_cback)</argsstring>
        <name>wiced_bt_dev_get_remote_name</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga1102d990364545df00ee778c4418729d">wiced_bt_remote_name_cback_t</ref> *</type>
          <declname>p_remote_name_result_cback</declname>
        </param>
        <briefdescription>
<para>Get BT Friendly name from remote device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer bd address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_remote_name_result_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: remote name result callback</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t</para>
</simplesect>
<bold> WICED_BT_PENDING </bold> : if successfully initiated <linebreak />
<bold> WICED_BT_BUSY </bold> : if already in progress <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold>: if parameter(s) are out of range <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if could not allocate resources to start the command <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : if the device is not up. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1462" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaa34891858f4af31cf59a8e9d34228ac1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_coex_enable</definition>
        <argsstring>(uint32_t seci_baud_rate)</argsstring>
        <name>wiced_bt_coex_enable</name>
        <param>
          <type>uint32_t</type>
          <declname>seci_baud_rate</declname>
        </param>
        <briefdescription>
<para>Application can invoke this function to enable the coex functionality. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">seci_baud_rate</parametername>
</parameternamelist>
<parameterdescription>
<para>: SECI baud rate. Ensure to set a valid baud rate which will be used for the SECI communication between BT and WLAN chip. Maximum supported value is up to 4M</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1475" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga2a25f2513f319465608e68a02ab2c714" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_coex_disable</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_coex_disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Application can invoke this function to disable the coex functionality. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1484" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1ga3bd10a7bfd5904cb41bc4d89bb594c37" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_afh_channel_assessment</definition>
        <argsstring>(wiced_bool_t enable_or_disable)</argsstring>
        <name>wiced_bt_dev_set_afh_channel_assessment</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>enable_or_disable</declname>
        </param>
        <briefdescription>
<para>This function is called to set the channel assessment mode on or off. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">enable_or_disable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Enable or disable AFH channel assessment</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1495" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaf157c7a41e1ae2dba755578d47ceefe0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_bt_sco_setPacketTypes</definition>
        <argsstring>(int16_t sco_inx, uint16_t pkt_types)</argsstring>
        <name>wiced_bt_sco_setPacketTypes</name>
        <param>
          <type>int16_t</type>
          <declname>sco_inx</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>pkt_types</declname>
        </param>
        <briefdescription>
<para>This function is called to set the packet types used for a specific SCO connection and for all connections. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">sco_inx</parametername>
</parameternamelist>
<parameterdescription>
<para>Specific connection and -1 for all connections. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pkt_types</parametername>
</parameternamelist>
<parameterdescription>
<para>One or more of the following <linebreak />
<bold> BTM_SCO_PKT_TYPES_MASK_HV1 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_HV2 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_HV3 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_EV3 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_EV4 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_EV5 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_NO_2_EV3 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_NO_3_EV3 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_NO_2_EV5 <linebreak />
 BTM_SCO_PKT_TYPES_MASK_NO_3_EV5 <linebreak />
 BTM_SCO_LINK_ALL_MASK </bold> - enables all supported types</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1518" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bredr__api_1gaea228aa913683be07f8cdfe3f37d3d30" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_setAclPacketTypes</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, uint16_t pkt_types)</argsstring>
        <name>wiced_bt_dev_setAclPacketTypes</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>pkt_types</declname>
        </param>
        <briefdescription>
<para>This function is set the ACL packet types that the device supports for specific connection and all connections if bd address with all zeros. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>BD Address for specific conection and for all connections it should be all 0's. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pkt_types</parametername>
</parameternamelist>
<parameterdescription>
<para>Packet types supported by the device. One or more of the following (bitmask): <linebreak />
<bold> BTM_ACL_PKT_TYPES_MASK_DM1 <linebreak />
BTM_ACL_PKT_TYPES_MASK_DH1 <linebreak />
BTM_ACL_PKT_TYPES_MASK_DM3 <linebreak />
BTM_ACL_PKT_TYPES_MASK_DH3 <linebreak />
BTM_ACL_PKT_TYPES_MASK_DM5 <linebreak />
BTM_ACL_PKT_TYPES_MASK_DH5 <linebreak />
BTM_ACL_PKT_TYPES_MASK_NO_2_DH1 <linebreak />
BTM_ACL_PKT_TYPES_MASK_NO_3_DH1 <linebreak />
BTM_ACL_PKT_TYPES_MASK_NO_2_DH3 <linebreak />
BTM_ACL_PKT_TYPES_MASK_NO_3_DH3 <linebreak />
BTM_ACL_PKT_TYPES_MASK_NO_2_DH5 </bold></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1541" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This module provided various Bluetooth security functionality such as authorisation, authentication and encryption. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>